RC Support AFPD

hotline-image

Please note that the aerofly Professional Deluxe – published in 1997 – is no longer supported for free.
On this page all FAQs are available furthermore.

Please note:  As a AFPD owner can use your IKARUS USB-Commander or IKARUS USB-Interface any longer. You only need the newer software aeroflyRC7.

You can buy the aeroflyRC7 for windows as a download or as a DVD at the IKARUS-Shop. The Mac-Versions are only available at the Apple-AppStore.

If you need a personal assistance in setting up the program at your computer so please call our Hotline from monday to friday  9:00  to 12:00 a.m.  and 1:00 to 4:30 p.m.

FAQs and their solutions about AFPD:

Actual Infos about Windows 10

Suchtags: Windows10 Win10 Win-10 Windwos 10  

weiter / more

Question:) Is my AFPD or aerofy5 still running under newer OS-X versions?

  Answer: The Aerofly Professional Deluxe has been replaced by the aerofly5 in 2007. Since 2014 and the aeroflyRC7  the mac versions are only available  at the AppleApp Store. This entails numerous advantages for you like easy licensing by your iTunes account. The latest developments by Apples OS-X has shown that IPACS as a a(…)

weiter / more

Question) How to connect a Graupner HoTT transmitter to the IKARUS USB interface?

weiter / more

Question: Which transmitters need the optional interface adapter (order no. #3024040)?

 

weiter / more

Question: On the AFPD CD is written: “For Windows 98/ME/2000/XP.”

Question: On the AFPD CD version 1.8.0.21 is written: “For Windows 98/ME/2000/XP.” Installed on a Windows 7 PC some photorealistic sceneries displays are faulty.  Answer:  Please download the latest patch here.  Please also check whether the graphic card driver is up to date. If necessary you should also download and install the latest driver. View(…)

weiter / more

Question: I want to use the IKARUS-Game Commander?

Question: aerofly5 or AFPD was currently used with the interface cable and a separate radio. Now I want to use the IKARUS-Game Commander? Can I buy this one separately?  Answer: You can buy our Universal USB GameCommander with order number #3036001 separately. Set up the GameComander via second player mode. Please note: the original interface(…)

weiter / more

Question: The USB interface cable or Game Commander is not identified by the simulator or control panel.

   

weiter / more

Question: While installing the update I get an error message “unable to overwrite” or “insert DVD”

  Depending on the installation directory and access rights, it may happen that an update/upgrade cannot be overwritten or that the installer of the update/upgrade asks for the original data carrier.

weiter / more

Question) Why is the aerofly-USB interface cable (stick version) not recognizing my radio?

  Answer: In order to transmit a strong enough signal some transmitters need to use the interface adapter (#3024040) Otherwise the interface will not work. The IKARUS  USB interface  is equipped with an opto coupler at the input side . This can have as a consequence, that a too weak signal is available for the(…)

weiter / more

Question: Why does the views “follow aircraft” and “cockpit mode” have no funktions in aerofly, easfly?

 

weiter / more

Question: How is a Spektrum / Futaba transmitter to connect with the IKARUS USB interface?

How to connect a Spektrum / Futaba transmitter with the IKARUS USB interface?  

weiter / more

How to configure switchable graphics – ATI

In some cases it might be necessary to configure the switchable graphics. Therefore you just need to follow these 4 easy steps: Please make a right click on the desktop. You will get a new menu. Now please select “configure switchable graphics”. Please click on “browse” and navigate to the installation-folder. Now you will have(…)

weiter / more

Question: How to update the graphic card driver running Microsoft Windows?

   

weiter / more

Which operating systems are possible for aerofly professional Deluxe?

aerofly professional Deluxe can be installed under MS-Windows XP, MS Windows Vista, MS-Windows7, MS-Windows8 (in the 32– and 64– bit versions) on Apple MacOS X, version 10.5.x, version 10.6.x, version 10.7.x, version 10.8.x, (provided that the Apple computer must have an Intel Core2Duo microprocessor) and among the major Linux distributions. (Debian, Kubuntu and Ubuntu have been successfully tested,(…)

weiter / more